Bug 150148 - array subscript out of range
array subscript out of range
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cone (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steven Pritchard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-02 17:09 EST by David Binderman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.63-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-03 16:49:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-03-02 17:09:18 EST
Description of problem:

I just tried to compile package cone-0.60-2 from 
Redhat Fedora Extras development tree.

The Intel compiler said

export.c(47): warning #175: subscript out of range

The source code is

        argvec[5]=0;

but

        char *argvec[5];

Suggest make array one bigger


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Steven Pritchard 2005-03-03 16:49:11 EST
Already fixed in 0.63 (in testing).

Note You need to log in before you can comment on or make changes to this bug.